from django.contrib import admin
from .models import SiteSetting

@admin.register(SiteSetting)
class SiteSettingAdmin(admin.ModelAdmin):
    list_display = ('site_title', 'maintenance_mode', 'updated_at')
    
    def has_add_permission(self, request):
        """Empêche d'ajouter une nouvelle config si une existe déjà."""
        if SiteSetting.objects.exists():
            return False
        return super().has_add_permission(request)

    def has_delete_permission(self, request, obj=None):
        """Empêche de supprimer la configuration globale."""
        return False